Flight
curl --request GET \
--url https://data.flightportrait.com/v1/flight/{callsign}import requests
url = "https://data.flightportrait.com/v1/flight/{callsign}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://data.flightportrait.com/v1/flight/{callsign}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"callsign": "SQ322",
"legs": [
{
"org": "SIN",
"dst": "LHR",
"flights": 12,
"days": 7,
"last": "2026-08-27",
"dep": "09:00",
"arr": "15:10",
"type": "A359"
}
],
"aircraft": [
{
"hex": "76cd06",
"reg": "9V-SHF",
"type": "A359",
"flights": 8
}
],
"recent": [
{
"date": "2026-08-27",
"org": "SIN",
"dst": "LHR",
"dep_ts": 1787800000,
"arr_ts": 1787845000
}
],
"window": "60"
}History
Flight
Observed legs, airframes, and recent operations for one flight number. Typical local times when known. 404 if none.
GET
/
v1
/
flight
/
{callsign}
Flight
Path Parameters
Callsign or flight ident.
Response
OK